Bug 21399 - Sort patron fines in OPAC by date descending as a default
Summary: Sort patron fines in OPAC by date descending as a default
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 17.11
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-09-22 22:55 UTC by Barbara Johnson
Modified: 2019-02-01 12:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21399: Sort patron fines in OPAC by date descending as a default (1.33 KB, patch)
2018-11-27 19:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21399: Sort patron fines in OPAC by date descending as a default (1.47 KB, patch)
2018-12-21 15:33 UTC, Devinim
Details | Diff | Splinter Review
Bug 21399: Sort patron fines in OPAC by date descending as a default (1.53 KB, patch)
2019-01-13 20:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2018-09-22 22:55:35 UTC
It would be helpful if the patron's view of their list of fines and charges in the OPAC would display sorted by date descending as a default.
Comment 1 Owen Leonard 2018-11-27 19:29:30 UTC
Created attachment 82683 [details] [review]
Bug 21399: Sort patron fines in OPAC by date descending as a default

This patch modifies the DataTables configuration of the logged-in user's
"Fines and charges" table in the OPAC so that the table is sorted by
date, descending.

To test, apply the patch and log in to the OPAC as a user with multiple
fines. Go to the "your fines" page and confirm that the table is sorted
by default on the first column with the newest entries first.
Comment 2 Devinim 2018-12-21 15:33:12 UTC
Created attachment 83466 [details] [review]
Bug 21399: Sort patron fines in OPAC by date descending as a default

This patch modifies the DataTables configuration of the logged-in user's
"Fines and charges" table in the OPAC so that the table is sorted by
date, descending.

To test, apply the patch and log in to the OPAC as a user with multiple
fines. Go to the "your fines" page and confirm that the table is sorted
by default on the first column with the newest entries first.

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 3 Katrin Fischer 2019-01-13 20:15:25 UTC
Created attachment 83849 [details] [review]
Bug 21399: Sort patron fines in OPAC by date descending as a default

This patch modifies the DataTables configuration of the logged-in user's
"Fines and charges" table in the OPAC so that the table is sorted by
date, descending.

To test, apply the patch and log in to the OPAC as a user with multiple
fines. Go to the "your fines" page and confirm that the table is sorted
by default on the first column with the newest entries first.

Signed-off-by: Nazlı Çetin <nazli@devinim.com.tr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-01-28 14:13:44 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-02-01 12:39:51 UTC
Enhancement, will not be backported to 18.11.x series.